> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dzap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# User Endpoints

> Positions, balances, and transaction history.

## Positions

```
GET https://zap.dzap.io/v1/user/positions?account=0x...&chainId=8453
```

Returns LP / staking / vault positions held by `account`.

<ResponseField name="data" type="object[]">Positions with `protocol`, `pool`, `tokens`, `value`, `pnl`.</ResponseField>

## Balances

```
GET https://zap.dzap.io/v1/user/balances?account=0x...&chainId=8453
```

Returns ERC20 balances + native, with USD valuation.

<ResponseField name="data" type="object[]">Tokens with `address`, `symbol`, `balance`, `valueUSD`.</ResponseField>

## Transactions

```
GET https://zap.dzap.io/v1/user/transactions?account=0x...&limit=20
```

Returns recent DZap transactions for `account`.

<ResponseField name="data" type="object[]">Transactions with `txHash`, `chainId`, `action`, `status`, `timestamp`, `tokens`.</ResponseField>

### Examples

<RequestExample>
  ```bash positions theme={null}
  curl "https://zap.dzap.io/v1/user/positions?account=0x99BCEBf44433E901597D9fCb16E799a4847519f6"
  ```

  ```bash balances theme={null}
  curl "https://zap.dzap.io/v1/user/balances?account=0x99BC...&chainId=8453"
  ```

  ```bash transactions theme={null}
  curl "https://zap.dzap.io/v1/user/transactions?account=0x99BC...&limit=20"
  ```
</RequestExample>
